import React, { useRef } from "react";
import useMap from "../../../hooks/useMap";
import useClickMarker from "./useClickMarker";

export default ({ onMarkerMoved }) => {
  const mapDivRef = useRef(null);
  const mapRef = useMap(mapDivRef);
  useClickMarker(mapRef, onMarkerMoved);
  return <div className="map-div" ref={mapDivRef} />
}
