import React, { useRef } from "react";
import styled from "styled-components";

const InvisbleTextarea = styled.textarea`
  position: absolute;
  top: -10000px;
  z-index: -10000;
  opacity: 0;
`

export default text => {
  const textareaRef = useRef(null);
  const copyText = () => {
    textareaRef.current.select();
    document.execCommand("copy");
  };
  const hiddenTextArea = (
    <InvisbleTextarea
      ref={textareaRef}
      value={text}
      readOnly
    />)
  ;

  return [hiddenTextArea, copyText]
}
