import React, { useRef } from "react";
import usePano from "./usePano";

// TODO don't use memo to prevent re-render
export default ({ position }) => {
  const panoDivRef = useRef(null);
  const panoRef = usePano(panoDivRef, position);

  return (
    <div className="streetview-pane">
      <div className="streetview-pane__pano-div" ref={panoDivRef}/>
      <div className="streetview-pane__reset-button" onClick={() => panoRef.current.setPosition(position)}>
        Reset
      </div>
    </div>
  );
};
